body {
    min-height: 100%;
}

/* The navigation bar */
.navbar {
    overflow: visible;
    background-color: #101116;
    position: relative;
    /* Set the navbar to fixed position */
    top: 0;
    /* Position the navbar at the top of the page */
    width: 100%;
    /* Full width */
    height: 70px;
    display: flex;
    align-items: center;
    z-index: 10000;
}

/* Links inside the navbar */
.navbar>a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    margin-left: 3vw;
    text-decoration: none;
    font-family: "hostregular";
    font-size: calc(0.3rem + 0.8vw);
}

/* Dropdown container */
.navbar .dropdown {
    float: left;
    margin-left: 3vw;
    position: relative;
    display: block;
}

.navbar .dropdown .dropbtn {
    font-size: calc(0.3rem + 0.8vw);
    border: none;
    outline: none;
    color: #f2f2f2;
    background-color: inherit;
    font-family: "hostregular";
    margin: 5px 0px;
    padding: 0;
    cursor: pointer;
    text-decoration: none;
    display: block;
}

.navbar .dropdown .dropbtn:hover {
    color: orangered;
    text-shadow: 0 0 10px #e60073, 0 0 20px #e60073, 0 0 30px #e60073, 0 0 40px #e60073;
}

.navbar .dropdown-content {
    display: none !important;
    position: absolute;
    background-color: #1a1a1a;
    min-width: 180px;
    box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.8);
    z-index: 9999;
    top: calc(100%);
    left: 0;
    border-radius: 0 0 8px 8px;
    border: 1px solid #333;
}

.navbar .dropdown-content a {
    float: none;
    color: #f2f2f2;
    padding: 14px 20px;
    text-decoration: none;
    display: block;
    text-align: left;
    margin: 0;
    transition: all 0.2s;
    border-bottom: 1px solid #2a2a2a;
}

.navbar .dropdown-content a:last-child {
    border-bottom: none;
    border-radius: 0 0 8px 8px;
}

.navbar .dropdown-content a:hover {
    background-color: #2a2a2a;
    color: orangered;
    text-shadow: 0 0 10px #e60073, 0 0 20px #e60073;
    padding-left: 25px;
}

.navbar .dropdown:hover .dropdown-content {
    display: block !important;
}

.navbar .right {
    margin-left: auto;
    padding-right: 2.5vw;
}

.navbar .right a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    margin-left: 3vw;
    text-decoration: none;
    font-family: "hostregular";
    font-size: calc(0.3rem + 0.8vw);
}

.navbar .right a:hover {
    color: orangered;
    text-shadow: 0 0 10px #e60073, 0 0 20px #e60073, 0 0 30px #e60073, 0 0 40px #e60073;
}

#navbarlogo {
    height: 80%;
    padding-left: 6vw;
}

/* Change background on mouse-over */
.navbar>a:hover {
    color: orangered;
    text-shadow: 0 0 10px #e60073, 0 0 20px #e60073, 0 0 30px #e60073, 0 0 40px #e60073;
}

/* Hide the link that should open and close the topnav on small screens */
.navbar .icon {
    display: none;
}

.navbarlinks {
    display: none;
    background-color: #101116;
}

.navbarlinks a {
    color: #f2f2f2;
    text-align: center;
    text-decoration: none;
    font-family: "hostregular";
    font-size: 1.2rem;
    padding-top: 5px;
    padding-bottom: 5px;
}

.navbarlinks a:hover {
    color: orangered;
    text-shadow: 0 0 5px #e60073, 0 0 10px #e60073, 0 0 15px #e60073, 0 0 20px #e60073;
}

/* When the screen is less than 600 pixels wide, hide all links, except for the first one ("Home"). Show the link that contains should open and close the topnav (.icon) */
@media screen and (max-width: 800px) {
    .navbar {
        height: auto;
        min-height: 60px;
        padding: 0.5rem 0;
        flex-wrap: wrap;
        justify-content: center;
    }

    .navbar>a {
        display: block;
        margin-left: 0.5rem;
        margin-right: 0.5rem;
        font-size: 0.75rem;
    }

    .navbar .dropdown {
        display: block;
        margin-left: 0.5rem;
        margin-right: 0.5rem;
    }

    .navbar .dropdown .dropbtn {
        font-size: 0.75rem;
    }

    .navbarlinks {
        display: none;
    }

    .navbar a.icon {
        display: none;
    }

    #navbarlogo {
        padding-left: 0.5rem;
        height: 50px;
        order: -1;
    }

    .navbar .right {
        margin-left: auto;
        padding-right: 0.5rem;
        display: flex;
        gap: 0.5rem;
    }

    .navbar .right a {
        font-size: 0.75rem;
        margin-left: 0;
    }
}

/* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 800px) {
    .navbar.responsive {
        position: relative;
        /* flex-direction: column; */
    }

    .navbarlinks.responsive {
        display: flex;
        flex-direction: column;
    }

    .navbarlinks.responsive a {
        display: block;
    }

    .navbar.responsive a {
        float: none;
        display: block;
        text-align: left;
    }
}

#navbarCart {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding-left: 64px;
    text-decoration: none;
    font-family: "hostregular";
    font-size: 1.2rem;
}

/* Main content */
.main {
    /* background-color: #2d2d2d; */
    min-height: 100vh;
    padding-bottom: 5rem;
    background-image: url('../assets/img/bg_common-repeat.png');
    background-attachment: fixed;
    background-repeat: repeat;
}

.intro {
    padding: 0;
    margin: auto;
    padding-top: 2.5rem;
    font-size: calc(0.3rem + 0.8vw);
    width: 60%;
    color: white;
    font-family: 'hostregular';
}

.intro h1 {
    text-shadow: -2px -2px 0 black, 2px -2px 0 black, -2px 2px 0 black, 2px 2px 0 black;
    margin-bottom: 2.5rem;
    font-size: calc(1rem + 1.8vw);
}

.intro p {
    padding: 1rem;
    background-color: #3b3b3b;
    border: 1px solid black;
    box-shadow: 8px 8px 8px rgba(0, 0, 0, 1);
    flex: 1;
}

#intro-text {
    text-align: center;
}

@media screen and (max-width: 800px) {
    .intro p {
        font-size: 1rem;
    }
}

.glide:before,
.glide:after {
    content: "";
    position: absolute;
    z-index: 1;
    width: 18vw;
    top: 0;
    height: 100%;
    pointer-events: none;
}

.glide:before {
    left: 0;
    background: linear-gradient(to right, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
}

.glide:after {
    right: 0;
    background: linear-gradient(to left, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
}

.glidearrowleft {
    left: 2vw;
}

.glidearrowright {
    right: 2vw;
}

@media screen and (max-width: 800px) {
    .glide:before {
        background: none;
    }

    .glide:after {
        background: none;
    }

    .glide__arrow {
        background-color: #141414 !important;
    }
}

.topbannerimg {
    position: relative;
    display: flex;
}

/* Bottom left text */
.bottom {
    position: absolute;
    bottom: 19%;
    left: 50%;
    /* font-size: 4rem; */
    font-size: calc(0.2rem + 3.2vw);
    font-style: italic;
    font-family: 'alegreya_scregular';
    position: absolute;
    transform: translate(-50%, -50%);
    color: #e9ead9;
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}

.bottom2 {
    position: absolute;
    bottom: 8%;
    left: 50%;
    /* font-size: 5rem; */
    font-size: calc(0.3rem + 3.1vw);
    font-style: italic;
    font-family: 'alegreya_scregular';
    position: absolute;
    transform: translate(-50%, -50%);
    color: #e9ead9;
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}

#page-top {
    margin: 0;
}

.row {
    margin: auto;
    width: 80%;
    padding-top: 5rem;
}

@media screen and (max-width: 1300px) {
    .row {
        margin-top: 1rem;
    }
}

/* Clear floats after the columns */

.row:after {
    content: "";
    display: table;
    clear: both;
}

/* Left column */

.leftcolumn {
    float: left;
    width: calc(100% / 3);
}

/* Middle column */

.middlecolumn {
    float: left;
    width: calc(100% / 3);
}

/* Right column */

.rightcolumn {
    float: left;
    width: calc(100% / 3);
}

/* Columns for small screens */

@media screen and (max-width: 800px) {
    .leftcolumn {
        width: 100%;
    }

    .middlecolumn {
        width: 100%;
    }

    .rightcolumn {
        width: 100%;
    }
}

.cardimage {
    /* background-color: rgb(255, 255, 255); */
    width: 100%;
    margin: auto;
    aspect-ratio: 1.3 / 1;
    position: relative;
}

.cardimage img {
    width: 70%;
    object-fit: cover;
    margin: auto;
    display: block;
}

.card p {
    padding: 0;
    margin: auto;
    margin-top: 5px;
    text-align: center;
    font-size: calc(0.3rem + 0.8vw);
    width: 60%;
    position: absolute;
    top: 42%;
    left: 20%;
    color: white;
    font-family: 'hostregular';
}

@media screen and (max-width: 800px) {
    .card p {
        font-size: 1rem;
    }
}

.card h2 {
    padding: 0;
    margin: auto;
    margin-top: 5px;
    text-align: center;
    width: 80%;
}

.halfcard p {
    padding: 0;
    margin: auto;
    margin-top: 5px;
    text-align: center;
    font-size: calc(0.3rem + 0.8vw);
    width: 60%;
    position: absolute;
    top: 55%;
    left: 20%;
    color: white;
    font-family: 'hostregular';
}

@media screen and (max-width: 800px) {
    .halfcard p {
        font-size: 1rem;
    }
}

.halfcard h2 {
    padding: 0;
    margin: auto;
    margin-top: 5px;
    text-align: center;
    width: 80%;
}

.halfcard .cardimage img {
    width: 100%;
}

.halfcard a {
    width: 70%;
    display: block;
    margin: auto;
}

/* Deck Builder */

.deckEditor {
    display: flex;
    flex-direction: row;
}

@media screen and (max-width: 800px) {
    .deckEditor {
        flex-direction: column-reverse;
    }
}

.leftDeckEditorBox {
    padding-top: 1%;
    width: 25%;
    padding-left: 5%;
}

.rightDeckEditorBox {
    padding-top: 1%;
    width: 65%;
    margin-left: 2%;
}

@media screen and (max-width: 800px) {
    .leftDeckEditorBox {
        padding-top: 0;
        width: auto;
        padding-left: 0;
    }

    .rightDeckEditorBox {
        padding-top: 0;
        width: auto;
        margin-left: 0;
    }
}

#searchBar {
    border: 1px solid #1b1b1b;
    padding: 1rem;
    color: white;
}

[role="tablist"] {
    display: flex;
    justify-content: center;
}

.deckEditorSearchBar {
    width: 90%;
    margin: auto;
    display: block;
    border: none;
    border-radius: 0.3rem;
    outline: none;
}

[aria-selected="true"] {
    color: red;
}

#cardList {
    align-content: center;
    display: flex;
    flex-direction: column;
    width: 100%;
    overflow: hidden;
    height: 300px;
    overflow-y: auto;
    margin-top: 1rem;
}

#cardNameInList {
    height: 45px;
    width: 100%;
    color: white;
    padding-left: 0.5rem;
}

#cardNameInList p {
    margin: 0;
    position: relative;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    user-select: none;
}

#cardImage {
    width: 30%;
    margin: auto;
}

#cardImageViewDeck {
    width: 80%;
    margin: auto;
}

#cardName,
#cardRulesText {
    color: white;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 5px;
    padding-right: 5px;
    text-align: center;
}

.deckSizeContainer {
    padding: 1rem;
    border: 1px solid rgb(27, 27, 27);
    margin-bottom: 1rem;
    display: flex;
}

#deckSize {
    color: white;
    display: flex;
    align-items: center;
}

#deckName {
    color: white;
    display: flex;
    align-items: center;
}

#cardName {
    font-size: 1.2vw;
}

@media screen and (max-width: 800px) {
    #cardName {
        font-size: inherit;
    }
}

.cardImageDeckBuilder {
    width: 95%;
    margin: auto;
}

#cardPreview {
    margin-top: 5px;
    border: 1px solid;
    box-shadow: -5px 7px #141414;
}

#cardStats {
    color: white;
    display: grid;
    grid-template-columns: 33% 33% 33%;
    grid-template-rows: 50% 50%;
    padding-bottom: 10px;
    padding-left: 5px;
    padding-right: 5px;
}

#cardStats div {
    padding: 5px;
}

/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #555;
}

#deckList,
#sideboardDeckList {
    display: grid;
    grid-template-columns: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
}

@media screen and (max-width: 800px) {

    #deckList,
    #sideboardDeckList {
        grid-template-columns: 30% 30% 30%;
        justify-content: center;
    }
}

#deckList p,
#sideboardDeckList p {
    color: white;
    padding-bottom: 20px;
    text-align: center;
    user-select: none;
}

#deckList:first-child,
#sideboardDeckList:first-child {
    grid-row: 1 / 2;
}

.deckListImage {
    width: 95%;
    margin-bottom: 0.3rem;
}

.blips-container {
    display: flex;
    width: 100%;
    height: 30px;
    justify-content: center;
}

.blip,
.blipBlack,
.blipRed {
    content: "";
    background-color: gold;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    margin-right: 5px;
    margin-left: 5px;
}

.blipBlack {
    background-color: black;
}

.blipRed {
    background-color: red;
}

.cardCountImage {
    position: absolute;
    z-index: 1;
}

#loginTextDeckEditor {
    color: white;
}

#loginTextDeckEditorCenter {
    color: white;
    display: flex;
    align-items: center;
    background-color: black;
}

#warningMessageCenter {
    margin: auto;
    padding: 1vw;
}

#buttons {
    margin-left: auto;
}

#editButton {
    margin-left: auto;
}

/* Login Page */

.loginPage {
    display: flex;
    min-height: 100vh
}

@media screen and (max-width: 800px) {
    .loginPage {
        flex-direction: column;
    }
}

.loginPage img {
    width: 100%;
    display: block;
    margin: auto;
}

.leftLoginBox {
    padding-left: 5%;
    width: 60%;
    padding-top: 2rem;
    border-right: 2px solid #1b1b1b;
}

.rightLoginBox {
    padding-right: 5%;
    padding-left: 5%;
    width: 25%;
    padding-top: 2rem;
}

.outerLoginForm {
    border: 2px solid #1b1b1b;
    width: 50%;
    margin: auto;
}

@media screen and (max-width: 800px) {
    .leftLoginBox {
        padding-left: 0;
        width: auto;
        padding-top: 0;
    }

    .rightLoginBox {
        padding-right: 0;
        padding-left: 0;
        width: auto;
    }

    .outerLoginForm {
        width: auto;
    }
}

.noAccountText {
    color: white;
    text-align: center;
    padding-top: 1rem;
}

.login-form {
    display: flex;
    flex-direction: column;
    width: 50%;
    margin: auto;
    padding-top: 3rem;
    padding-bottom: 1rem;
}

.login-form input {
    margin-bottom: 10px;
}

.login-form button {
    width: 30%;
    margin: auto;
}

.emailConf {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    height: 0;
    width: 0;
    z-index: -1;
}

/* Modal */

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 10;
    visibility: hidden;
}

@media screen and (max-width: 800px) {
    .overlay {
        position: inherit;
    }
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 11;
    visibility: hidden;
}

.modal-content {
    background-color: white;
    padding: 20px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#modal-close-button {
    margin-left: auto;
    border: 1px solid black;
    border-radius: 6px;
    background-color: black;
    color: white;
}

#checkoutModalButton {
    width: 100%;
    margin-top: 1rem;
    height: 50px;
    border-radius: 10px;
    background-color: black;
    border-color: black;
    color: white;
    cursor: pointer;
}

.close-button {
    background-color: red;
    color: white;
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
}

/* Checkout */
.checkoutBox {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 90%;
    padding-left: 5%;
    padding-right: 5%;
    padding-top: 2rem;
}

#checkoutText {
    color: white;
    text-align: center;
}

#cartContentsCheckoutBox {
    border: 1px solid lightgrey;
}

#cartContentsCheckoutBox p {
    padding: 1rem;
}

#cartContentsCheckoutBoxTotal {
    border-top: 1px solid lightgrey;
    width: 100%;
    display: flex;
    flex-direction: row;
}

#cartContentsCheckoutBoxTotal p {
    margin: auto;
    margin-top: 1rem;
}

#cartContentsCheckoutBoxTotalInline {
    border-top: 1px solid lightgrey;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#cartContentsCheckoutBoxTotalInline p {
    margin-top: 1rem;
}

#paypal-button-container {
    padding-top: 1rem;
}

#shopMain {
    display: flex;
    color: white;
    font-family: 'Courier New', Courier, monospace;
}

.product-box {
    border: 1px solid #ccc;
    padding: 10px;
    text-align: center;
    margin: 1rem;
}

.product-image {
    width: 10vw;
    height: auto;
}

.product-details {
    display: block;
    overflow: auto;
    width: 12vw;
}

.product-text {
    font-weight: bold;
}

.product-price {
    margin-top: 5px;
}

.add-to-cart-btn {
    margin-top: 10px;
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
}

.add-to-cart-btn:disabled {
    background-color: lightslategray;
    cursor: auto;
}

/* Cart Modal */

.modal-content {
    color: #101116;
    border-radius: 4px;
}

.content {
    z-index: 1;
}

.sidebar-icon {
    display: flex;
    flex-direction: row-reverse;
    gap: 1rem;
}

.open-modal-btn {
    display: block;
    width: 20px;
    height: 20px;
}

#cartDropdown {
    display: flex;
}

#cartDropdown img {
    height: 80px;
}

#cartPopout {
    z-index: 9999;
    position: fixed;
    top: 0;
    right: -500px;
    /* Adjust this value to control the popout width */
    width: 500px;
    height: 100%;
    background-color: #f0f0f0;
    padding: 20px;
    box-sizing: border-box;
    transition: right 0.3s ease;
    font-family: Arial, Helvetica, sans-serif;
}

#cartPopout.open {
    right: 0;
}

/* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 800px) {
    #cartPopout {
        width: auto;
        right: -800px;
    }
}

#alertItemAmount p {
    padding: 10px;
    width: 2.5rem;
    text-align: center;
}

#alertItemAmount button {
    width: 2.5rem;
    background: none;
    border: none;
    cursor: pointer;
}

#alertItemAmount button:hover {
    background-color: lightgrey;
}

#alertItemAmount {
    display: flex;
    flex-direction: row;
    border: 1px solid darkgrey;
    width: fit-content;
    margin: auto;
}

.shoppingCartContainer {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.shoppingCircle {
    position: absolute;
    bottom: -50%;
    right: -50%;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background-color: #fff;
    color: #000;
    text-align: center;
    line-height: 18px;
    font-size: 12px;
    font-family: Arial, Helvetica, sans-serif;
}

#cartTotalAmount {
    cursor: default;
    pointer-events: none;
}

#overlay.show {
    visibility: visible;
}

/* Checkout */
hr {
    height: 1px;
    width: 100%;
    background-color: #f7f7fa;
    border: 0;
    margin: 2rem 0;
}

.container {
    max-width: 80%;
    padding: 1vw 2rem;
    margin: auto;
    font-family: "Inter", sans-serif;
    font-size: 14px;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

.container p {
    color: #737888;
}

/* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 800px) {
    .container {
        max-width: 100%;
        flex-direction: column;
        justify-content: space-evenly;
    }
}

#shippingAddressBox {
    background-color: white;
    padding: 20px;
    border-radius: 5px;
}

.form {
    display: grid;
    grid-gap: 1rem;
}

.field {
    display: flex;
    flex-direction: column;
    border: 1px solid #f7f7fa;
    padding: .5rem;
    border-radius: .25rem;
}

.field__label {
    color: #737888;
    font-size: 0.6rem;
    font-weight: 300;
    text-transform: uppercase;
    margin-bottom: 0.25rem
}

.field__input {
    padding: 0;
    margin: 0;
    border: 0;
    outline: 0;
    font-weight: bold;
    font-size: 1rem;
    width: 100%;
    -webkit-appearance: none;
    appearance: none;
    background-color: transparent;
}

.field:focus-within {
    border-color: #000;
}

.fields {
    display: grid;
    grid-gap: 1rem;
}

.fields--2 {
    grid-template-columns: 1fr 1fr;
}

.fields--3 {
    grid-template-columns: 1fr 1fr 1fr;
}

.button {
    background-color: #000;
    text-transform: uppercase;
    font-size: 0.8rem;
    font-weight: 600;
    display: block;
    color: #fff;
    width: 100%;
    padding: 1rem;
    border-radius: 0.25rem;
    border: 0;
    cursor: pointer;
    outline: 0;
}

.button:focus-visible {
    background-color: #333;
}

/* Shop */
#shop-container {
    display: flex;
}

@media screen and (max-width: 800px) {
    #shop-container {
        flex-direction: column;
    }
}

/* My Profile */

.profile-container {
    max-width: 400px;
    margin: 0 auto;
    background-color: #ffffff;
    border-radius: 5px;
    padding: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    width: 80%;
}

h1 {
    font-size: 24px;
    margin: 0;
    padding-bottom: 10px;
    border-bottom: 1px solid #ddd;
}

.profile-info {
    margin-top: 20px;
}

.profile-info p {
    margin: 0;
    padding-bottom: 20px;
}

.profile-info label {
    font-weight: bold;
}

.logout-button button {
    background-color: #ff4d4d;
    color: #ffffff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
}

/* Footer */

.footer {
    background-color: black;
    filter: drop-shadow(0px 0px 5px #000000);
}

.footer-container {
    height: 70px;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'hostregular';
}

/* Paypal override */
iframe.component-frame {
    z-index: auto;
}

/* Social Sidebar */
#social-sidebar {
    left: 0;
    position: fixed;
    top: 40%;
    z-index: 999;
}

#social-sidebar li:first-child a {
    border-top-right-radius: 5px;
}

#social-sidebar li:last-child a {
    border-bottom-right-radius: 5px;
}

#social-sidebar a {
    background: rgba(0, 0, 0, .7);
    color: #fff;
    text-decoration: none;
    display: block;
    height: 50px;
    width: 50px;
    font-size: 24px;
    line-height: 50px;
    position: relative;
    text-align: center;
    cursor: pointer;
}

#social-sidebar a:hover span {
    left: 120%;
    opacity: 1;
}

#social-sidebar a span {
    font: 12px "Open Sans", sans-serif;
    text-transform: uppercase;
    border-radius: 3px;
    line-height: 24px;
    left: -100%;
    margin-top: -16px;
    opacity: 0;
    padding: 4px 8px;
    position: absolute;
    transition: opacity .3s, left .4s;
    top: 50%;
    z-index: -1;
}

#discord-icon::before {
    content: "";
    display: inline-block;
    background-image: url('../assets/icons/discord.ico');
    background-size: cover;
    width: 32px;
    height: 32px;
    margin-top: 8px;
}

#facebook-icon::before {
    content: "";
    display: inline-block;
    background-image: url('../assets/icons/facebook.ico');
    background-size: cover;
    width: 32px;
    height: 32px;
    margin-top: 8px;
}

#instagram-icon::before {
    content: "";
    display: inline-block;
    background-image: url('../assets/icons/instagram.ico');
    background-size: cover;
    width: 32px;
    height: 32px;
    margin-top: 8px;
}

/* HOW TO PLAY */

.howtoplaysegment {
    display: flex;
    column-gap: 1rem;
    padding-bottom: 5vw;
}

#columnhowtoplaysegment {
    flex-direction: column;
}

@media screen and (max-width: 800px) {
    .howtoplaysegment {
        flex-direction: column;
    }
}

.howtoplayh1 {
    text-shadow: -2px -2px 0 black, 2px -2px 0 black, -2px 2px 0 black, 2px 2px 0 black;
    padding-bottom: 1rem;
    font-size: calc(1rem + 1.8vw);
    border-bottom: 2px solid aqua;
}

.circletext {
    display: inline-block;
    border: 2px solid #fff;
    border-radius: 50%;
    height: 20px;
    width: 20px;
    text-align: center;
    font-family: Verdana;
}

.cardtype {
    width: 20%;
    display: flex;
    flex-direction: column;
    flex: 1;
}

.cardtypeimage {
    width: 100%;
}

#width20 {
    width: 20%;
}

@media screen and (max-width: 800px) {
    .cardtype {
        width: 100%;
        margin-bottom: 1rem;
    }

    .cardtypeimage {
        width: 100%;
    }

    #width20 {
        width: 100%;
    }
}

.effectcardbox {
    display: flex;
    flex-direction: row;
    column-gap: 1rem;
}

.effectimage {
    width: 40%;
    height: 100%;
}

@media screen and (max-width: 800px) {
    .effectcardbox {
        display: flex;
        flex-direction: column;
        column-gap: none;
    }

    .effectimage {
        width: 100%;
    }
}

.erratabox {
    background-color: #3b3b3b;
    border: 1px solid black;
    box-shadow: 8px 8px 8px rgba(0, 0, 0, 1);
    color: white;
    width: 60%;
    margin: auto;
    margin-top: 2rem;
    display: flex;
    flex-direction: column;
    font-size: calc(0.3rem + 0.8vw);
    align-items: center;
}

.erratabox img {
    width: 70%;
    margin: auto;
    padding: 0.5rem;
}

.erratabox p {
    padding: 0.5rem;
    border: 0px;
    box-shadow: none;
    flex: 1;
}

#erratatitle {
    font-size: calc(0.5rem + 0.8vw);
    border-bottom: 2px solid aqua;
}

#loretextid {
    flex-direction: column;
}

#loretextid p {
    font-family: Arial, Helvetica, sans-serif;
}

/* BANLIST */

.bannedcardscontainer {
    display: flex;
    flex-direction: row;
}

.bancardcontainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 5px;
}

.bancardname {
    padding: 10px;
}

.choosecollectioncontainer {
    background-color: rgba(226, 0, 0, 0.644);
    padding: 1rem;
    border-radius: 8px;
    margin: 1rem 0;
    display: flex;
    flex-direction: row;
    width: fit-content;
}

@media screen and (max-width: 800px) {
    .bannedcardscontainer {
        display: flex;
        flex-direction: column;
    }
}